[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TPopupMenu.Alignment

Determines the position of pop-up menu relative to the pop-up coordinate.

## Declaration

Source position: menus.pp line 490

`published property TPopupMenu.Alignment : TPopupAlignment read FAlignment write FAlignment default paLeft;`

## Description

Alignment is a TPopupAlignment property which indicates the alignment of the pop-up menu relative to the mouse coordinates in PopupPoint. The default value for the property is paLeft and causes the menu to be displayed to the left of the mouse coordinates passed to the PopUp method.

## See also

TPopUpMenu.PopUp |  | Displays the pop-up menu.
TPopUpMenu.PopupPoint |  | TPoint instance with the coordinates where the pop-up menu is displayed.
TPopupAlignment |  | An enumerated type to describe the position of pop-up menu relative to the pop-up coordinates.